/*
 * wmmp3
 * Copyright (c)1999 Patrick Crosby <xb@dotfiles.com>.
 * This software covered by the GPL.  See COPYING file for details.
 *
 * buttons.c
 *
 * This file contains button code.
 *
 * $Id: mpg123ctl.c,v 1.12 1999/10/08 06:21:41 pcrosby Exp $
 */

#include <config.h>
#include "buttons.h"
#include "wmgeneral.h"

void button_down(int i)
{
    copyXPMArea(btn_down[i].x, btn_down[i].y, btn_down[i].w, btn_down[i].h,
            btn_pos[i].x, btn_pos[i].y);
}

void button_up(int i)
{
    copyXPMArea(btn_up[i].x, btn_up[i].y, btn_up[i].w, btn_up[i].h,
            btn_pos[i].x, btn_pos[i].y);
}

void button_gray(int i)
{
    copyXPMArea(btn_gray[i].x, btn_gray[i].y, btn_gray[i].w, btn_gray[i].h,
            btn_pos[i].x, btn_pos[i].y);
}

void button_redraw(int i)
{
    RedrawRegion(btn_pos[i].x, btn_pos[i].y, btn_pos[i].w, btn_pos[i].h);
}
